Contents | Prev | Next | Java Core Reflection

# The class java.lang.reflect.InvocationTargetException

        package java.lang.reflect;

        public class InvocationTargetException extends Exception

`InvocationTargetException` is a checked exception that wraps an exception thrown by an invoked method or constructor.

## Constructors

### InvocationTargetException

        public InvocationTargetException(Throwable target)

Constructs an `InvocationTargetException` with the specified `target` exception.

### InvocationTargetException

        public InvocationTargetException(Throwable target, String detail)

Constructs an `InvocationTargetException` with the specified `target` exception and a `detail` message `String` describing the exception.

## Methods

### getTargetException

        public Throwable getTargetException()

Returns the the underlying target exception wrapped by this `InvocationTargetException`.

Contents | Prev | Next

Copyright © 1996, 1997 Sun Microsystems, Inc. All rights reserved.